
/* Bitfields for Digimax 210 */

#define TCMASK   0x00ff0000   /* Current Temperature field */
#define SFMASK   0xf0000000   /* Status field */
#define OOMASK   0x0f000000   /* On/Off stored Status field */
#define MOMASK   0x0000ff00   /* Mode field */
#define TSMASK   0x00003f00   /* Temperature Setpoint field */
#define HMMASK   0x00004000   /* Heat mode bit */
#define UMMASK   0x00008000   /* Undefined Mode bit */
#define USMASK   0xc0000000   /* Undefined Status bits */
#define PARMASK  0x0f0000ff   /* Parity/Unused bits */
#define TCSHIFT  16
#define SFSHIFT  28
#define OOSHIFT  24
#define MOSHIFT  8
#define TSSHIFT  8

